tcos-devices-ng(1)

NAME
tcos-devices-ng - Python GTK2 systray app that allow to access thin client filesystems and devices easyly.

DESCRIPTION

tcos-devices-ng is a python systray app exec in client session startup and allow to:
 * Mount / umount floppy cdrom
 * Detect USB devices and mount automatically (udev events)
 * Mount / umount hard disk partitions (of the thin client)

tcos-devices-ng use xauth with tcosxmlrpc (MIT-MAGIC-COOKIE)

OPTIONS
[no options]
 With no options will launch in normal mode.

--host=xx.xx.xx.xx
 Overwrite DISPLAY with this var (doesn't work unless thin client Xorg is started with -ac)

--debug
 Show verbose output when running

--help
 Some usage help about tcos-devices-ng

OPTIONAL CONFIGURATION

You can create a conf file in user home ~/.tcos-devices-ng.conf (for one user) or edit /etc/tcos/tcos-devices-ng.conf (for all users) with this content:

   hdc=myCdrom
   hdd=cdWriter
   hda1=winData
   hda2=debianData

When mounting a device will search in this file an if device exists use value as mount point

Please only use numbers and letters in mount point (not spaces).

 ex: for hda1 /home/USERNAME/Desktop/winData

DISABLE SOME DEVICES

Put into ~/.tcos-devices-ng.conf or edit /etc/tcos/tcos-devices-ng.conf like this:

    # disable floppy
    disable_floppy=1

    #disable all cdroms
    disable_cdroms=1

    #disable hard disk partitions
    disable_hdd=1

Special disable line:

    # disable quit item
    disable_quit=1

BUGS
Contact Mario Izquierdo <mariodebian@gmail.com>

Homepage: http://www.tcosproject.org

SEE ALSO
tcos-devices-ng(1)

AUTHOR
Mario Izquierdo (mariodebian) <mariodebian@gmail.com>